'use strict';

const tableConfig = require('./table-config-969d3038.js');
const viewConfig = require('./view-config-52c16db0.js');

class FormViewConfig extends viewConfig.DvnAppViewConfig {
  static decode(json) {
    const model = Object.assign(Object.create(FormViewConfig.prototype), json);
    model.table = tableConfig.TableConfig.decode(model.table);
    return model;
  }
}

exports.FormViewConfig = FormViewConfig;
